### Signal

# Gtk Sorter::changed

#### Declaration

    void
    changed (
      GtkSorter* self,
      GtkSorterChange change,
      gpointer user_data
    )

#### Description [src]

Emitted whenever the sorter changed.

Users of the sorter should then update the sort order again via gtk_sorter_compare().

`GtkSortListModel` handles this signal automatically.

Depending on the `change` parameter, it may be possible to update the sort order without a full resorting. Refer to the `GtkSorterChange` documentation for details.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`change`

  Type: `GtkSorterChange`

  How the sorter changed.